package top.r3944realms.lib39.example.core.register;

import net.minecraft.world.item.Item;
import top.r3944realms.lib39.core.register.FabricLib39Items;
import top.r3944realms.lib39.example.content.item.FabricFabricItem;
import top.r3944realms.lib39.example.content.item.FabricNeoForgeItem;
import top.r3944realms.lib39.example.content.item.ForgeItem;

/**
 * The type Ex lib 39 items.
 */
public class FabricExLib39Items {
    /**
     * Init.
     */
    public static void init() {
         ExLib39Items.FABRIC = FabricLib39Items.register("fabric", new FabricFabricItem(
                new Item.Properties()
                        .stacksTo(1)
                        .fireResistant()
        ));
        ExLib39Items.NEOFORGE = FabricLib39Items.register("neoforge", new FabricNeoForgeItem(
                new Item.Properties()
                        .stacksTo(1)
                        .fireResistant()
        ));
        ExLib39Items.FORGE = FabricLib39Items.register("forge", new ForgeItem(
                new Item.Properties()
                        .stacksTo(1)
                        .fireResistant()
        ));

    }
}
